# AnswerPreCheckoutQuery - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.answers.payments.abstracts / AnswerPreCheckoutQuery

# AnswerPreCheckoutQuery

(common) `interface AnswerPreCheckoutQuery : SimpleRequest<Boolean>` (source)

### Properties

(common)

#### isOk

`abstract val isOk: Boolean`

(common)

#### preCheckoutQueryId

`abstract val preCheckoutQueryId: PreCheckoutQueryId`

(common)

#### resultDeserializer

`open val resultDeserializer: KSerializer<Boolean>`

### Functions

(common)

#### method

`open fun method(): String`

### Inheritors

(common)

#### AnswerPreCheckoutQueryError

`data class AnswerPreCheckoutQueryError : AnswerPreCheckoutQuery`

(common)

#### AnswerPreCheckoutQueryOk

`data class AnswerPreCheckoutQueryOk : AnswerPreCheckoutQuery`